Skip to content

Dashboard ​

32 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAllNetworkActivityGETGet grid dashboard open network activity statistic list
getCardTopologyGETGet network overview
getChannelsGETGet channel distribution and usage
getGatewayIspLoadGETGet site dashboard isp load inform
getIspLoadGETGet isp load info
getGridDashboardIpsecTunnelStatsGETGet grid dashboard lpsec tunnel statistic list
getActiveApsGETGet the most active eap list
getActiveSwitchesGETGet most active switch list
batchConfigTabPATCHBatch set tab config
getGridDashboardOpenVpnTunnelStatsGETGet grid dashboard open vpn tunnel statistic list
getOverviewGETGet site overview diagram info
getPoeUsageGETGet poe usage
getRetryAndDroppedRateGETGet retried rate and dropped rate
getSwitchSummaryGETGet switch summary
listAllTabsGETGet tab list
createTabPOSTCreate new tab
removeTabDELETEDelete an existing tab
updateTabPATCHModify an existing tab
getTop5ApsGETGet Top 5 Aps
getTopCpuUsageWithTimeRangeGETGet top device cpu usage
getTopMemoryUsageWithTimeRangeGETGet top device memory usage
getInterferenceGETGet top interference
getTrafficActivitiesGETGet traffic activity
getTrafficDistributionGETGet traffic distribution
getGridDashboardTunnelStatsGETGet grid dashboard tunnel statistic list
getWifiSummaryGETGet wifi summary
listTabsGETGet tab without overall tab list
startSpeedTestV2POSTStart Speed Test
getSpeedTestV2ResultGETGet Speed Test Result
getSpeedTestV2ResultDateListPOSTGet date list of speed test results
configBandwidthForWanPortsPOSTSet site dashboard wan bandwidth
getActiveApsV2GETGet the most active eap list

getAllNetworkActivity ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/allNetworkActivity

Get grid dashboard open network activity statistic list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getAllNetworkActivity",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

The interface requires one of the permissions:
Site Dashboard Manager View Only

getCardTopology ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/card/overview

Get network overview

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getCardTopology",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the statistic info of devices.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getChannels ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/channels

Get channel distribution and usage

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getChannels",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get channel distribution and usage.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getGatewayIspLoad ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/gateway/isp/load

Get site dashboard isp load inform

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getGatewayIspLoad",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site dashboard isp load inform of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getIspLoad ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/isp-load

Get isp load info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getIspLoad",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain IPS load data for the gateway within the time range.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getGridDashboardIpsecTunnelStats ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/lpset-tunnel-stats

Get grid dashboard lpsec tunnel statistic list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getGridDashboardIpsecTunnelStats",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the status, IP address, and other information of the established IPsec VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only

getActiveAps ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/most-active-eaps

Get the most active eap list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getActiveAps",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain the top 5 APs with the highest device traffic within the time range (in Bytes)..
The interface requires one of the permissions:
Site Dashboard Manager View Only

getActiveSwitches ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/most-active-switches

Get most active switch list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getActiveSwitches",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain the top 5 switches with the highest device traffic within the time range (in Bytes)
The interface requires one of the permissions:
Site Dashboard Manager View Only

batchConfigTab ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dashboard/multi-tabs/config

Batch set tab config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchEditTabs

FieldTypeRequiredDescription
tabsarray<BatchUpdateTab>noEdit Tab Parameters
json
// omada_call_operation
{
  "operationId": "batchConfigTab",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch set tab configurations, add or delete tabs.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34701 - This tab does not exist in the dashboard.
-34702 - This tab name already exists.
-34704 - Non-overall tabs do not allow editing system cards.

getGridDashboardOpenVpnTunnelStats ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/open-vpn-tunnel-stats

Get grid dashboard open vpn tunnel statistic list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
typequeryintegeryestype: 0:Server, 1:Client
json
// omada_call_operation
{
  "operationId": "getGridDashboardOpenVpnTunnelStats",
  "params": {
    "siteId": "<siteId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Obtain the status, traffic, and other information of the established open VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only

getOverview ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/overview-diagram

Get site overview diagram info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getOverview",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site overview diagram info.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getPoeUsage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/poe-usage

Get poe usage

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPoeUsage",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the PoE usage of the switch within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getRetryAndDroppedRate ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/retry-dropped-rate

Get retried rate and dropped rate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getRetryAndDroppedRate",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get retried rate and dropped rate.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getSwitchSummary ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/switch-summary

Get switch summary

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getSwitchSummary",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get switch summary
The interface requires one of the permissions:
Site Dashboard Manager View Only

listAllTabs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs

Get tab list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "listAllTabs",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get tab list.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.

createTab ​

POST /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs

Create new tab

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CreateTabOpenApiVO

FieldTypeRequiredDescription
namestringnoNames on this Dashboard page must be unique. It should contain 1 to 64 characters.
json
// omada_call_operation
{
  "operationId": "createTab",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34702 - This tab name already exists.
-34703 - The number of tabs has reached the limit.

removeTab ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs/{tabId}

Delete an existing tab

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tabIdpathstringyesTab ID
json
// omada_call_operation
{
  "operationId": "removeTab",
  "params": {
    "siteId": "<siteId>",
    "tabId": "<tabId>"
  }
}
Details, permissions and error codes

Delete an existing tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34705 - Overall tab not allowed to be deleted.

updateTab ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs/{tabId}

Modify an existing tab

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tabIdpathstringyesTab ID

Request body — application/json (required) — schema UpdateTabOpenApiVO

FieldTypeRequiredDescription
namestringnoName on this Dashboard page must be unique, it should contain 1 to 64 characters.
resetbooleannoTrue: reset Default TAB (custom TAB cannot be reset).
json
// omada_call_operation
{
  "operationId": "updateTab",
  "params": {
    "siteId": "<siteId>",
    "tabId": "<tabId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34701 - This tab does not exist in the dashboard.
-34702 - This tab name already exists.
-34704 - Non-overall tabs do not allow editing system cards.

getTop5Aps ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-aps

Get Top 5 Aps

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getTop5Aps",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get Top 5 Aps.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getTopCpuUsageWithTimeRange ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-device-cpu-usage

Get top device cpu usage

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getTopCpuUsageWithTimeRange",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain the top 5 CPU usage devices within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getTopMemoryUsageWithTimeRange ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-device-memory-usage

Get top device memory usage

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getTopMemoryUsageWithTimeRange",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain the top 5 memory usage devices within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getInterference ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-interference

Get top interference

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getInterference",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the 5 APs with the highest interference intensity in different frequency bands within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getTrafficActivities ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/traffic-activities

Get traffic activity

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getTrafficActivities",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain AP and Switch traffic Activities within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getTrafficDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/traffic-distribution

Get traffic distribution

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getTrafficDistribution",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain wired/wireless traffic distribution data within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only

getGridDashboardTunnelStats ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/vpn-tunnel-stats

Get grid dashboard tunnel statistic list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
typequeryintegeryesType should be a value as follows: 0:Server,1:Client
json
// omada_call_operation
{
  "operationId": "getGridDashboardTunnelStats",
  "params": {
    "siteId": "<siteId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get the status, IP address, and other information of the established dashboard tunnel statistic VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only

getWifiSummary ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/wifi-summary

Get wifi summary

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getWifiSummary",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get wifi summary.
The interface requires one of the permissions:
Site Dashboard Manager View Only

listTabs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/without-overall-tabs

Get tab without overall tab list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "listTabs",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get tabs without Overall Tab.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.

startSpeedTestV2 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTest

Start Speed Test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OpenApiSpeedTestSelectPortsVO

FieldTypeRequiredDescription
portUuidListarray<string>noThe uuid of selected wan ports for speed test.
virtualWanIdListarray<string>noThe id of selected virtual wan ports for speed test.
json
// omada_call_operation
{
  "operationId": "startSpeedTestV2",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Start Speed Test.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getSpeedTestV2Result ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTestResult

Get Speed Test Result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSpeedTestV2Result",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get Speed Test Result.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getSpeedTestV2ResultDateList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTestResult/dateList

Get date list of speed test results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OpenApiQuerySpeedTestDateListVO

FieldTypeRequiredDescription
portUuidstringnoPort Uuid. Only one of the parameters portUuid and virtualWanId can exist
virtualWanIdstringnoVirtual Wan Id. Only one of the parameters portUuid and virtualWanId can exist
currentPageintegeryesStart from 1.
currentPageSizeintegeryesIt should be within the range of 1–100.
json
// omada_call_operation
{
  "operationId": "getSpeedTestV2ResultDateList",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get date list of speed test results.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

configBandwidthForWanPorts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/wan/bandwidth

Set site dashboard wan bandwidth

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema WanPortBandwidthVO

FieldTypeRequiredDescription
bandwidthsarray<PortBandwidthVO>noSet port bandwidth info list.
json
// omada_call_operation
{
  "operationId": "configBandwidthForWanPorts",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set site dashboard wan bandwidth of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getActiveApsV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/dashboard/most-active-eaps

Get the most active eap list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceNumqueryintegeryesThe number of most active APs acquired.
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getActiveApsV2",
  "params": {
    "siteId": "<siteId>",
    "deviceNum": "<deviceNum>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Obtain the top 5 APs with the highest device traffic within the time range (in Bytes)..
The interface requires one of the permissions:
Site Dashboard Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.